apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: fluent-bit-oke-sandbox-us-ashburn-1
  namespace: argo-cd
spec:
  project: oke-sandbox-us-ashburn-1
  source:
    repoURL: 'https://gitlab.com/minds/infrastructure/modules/fluent-bit.git'
    path: ./helm
    helm:
      releaseName: fluent-bit
      valueFiles:
        - values-sandbox.yaml
      parameters:
        - name: 'fluent-bit.livenessProbe'
          value: 'null'
        - name: 'fluent-bit.readinessProbe'
          value: 'null'
  destination:
    namespace: logging
    name: "oke-sandbox-us-ashburn-1"
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
